package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.GoodsType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class GoodsQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "商品分类",required = false)
    private Integer goodsCategoryId;

    //是否是新品（1，是  0，否）
    @ApiModelProperty(value = "是否是新品（1，是  0，否）",required = false)
    private YesOrNoEnum isNew;

    //是否置顶（1，置顶   0，不置顶）
    @ApiModelProperty(value = "是否置顶（1，置顶   0，不置顶）",required = false)
    private YesOrNoEnum isTop;

    //状态（1，上架  0，下架）
    @ApiModelProperty(value = "状态（1，上架  0，下架）",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "商品类型", required = false)
    private GoodsType type;

    @ApiModelProperty(value = "是否组合商品：0/1")
    private Integer groupGoods;

    @ApiModelProperty(value = "客户端展示分部")
    private Integer studentShowOrganId;

    @ApiModelProperty(value = "教务端展示分部")
    private Integer educationShowOrganId;

    @ApiModelProperty(value = "课程收费团展示分部")
    private Integer courseFeeShowOrganId;

    @ApiModelProperty(value = "会员收费团展示分部")
    private Integer memberFeeShowOrganId;

    @ApiModelProperty(value = "乐器置换展示分部")
    private Integer replacementShowOrganId;

    @ApiModelProperty(value = "分部")
    private String organId;

    private Integer subjectId;

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getStudentShowOrganId() {
        return studentShowOrganId;
    }

    public void setStudentShowOrganId(Integer studentShowOrganId) {
        this.studentShowOrganId = studentShowOrganId;
    }

    public Integer getEducationShowOrganId() {
        return educationShowOrganId;
    }

    public void setEducationShowOrganId(Integer educationShowOrganId) {
        this.educationShowOrganId = educationShowOrganId;
    }

    public Integer getCourseFeeShowOrganId() {
        return courseFeeShowOrganId;
    }

    public void setCourseFeeShowOrganId(Integer courseFeeShowOrganId) {
        this.courseFeeShowOrganId = courseFeeShowOrganId;
    }

    public Integer getMemberFeeShowOrganId() {
        return memberFeeShowOrganId;
    }

    public void setMemberFeeShowOrganId(Integer memberFeeShowOrganId) {
        this.memberFeeShowOrganId = memberFeeShowOrganId;
    }

    public Integer getReplacementShowOrganId() {
        return replacementShowOrganId;
    }

    public void setReplacementShowOrganId(Integer replacementShowOrganId) {
        this.replacementShowOrganId = replacementShowOrganId;
    }

    public Integer getGroupGoods() {
        return groupGoods;
    }

    public void setGroupGoods(Integer groupGoods) {
        this.groupGoods = groupGoods;
    }

    public GoodsType getType() {
        return type;
    }

    public void setType(GoodsType type) {
        this.type = type;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public YesOrNoEnum getIsNew() {
        return isNew;
    }

    public void setIsNew(YesOrNoEnum isNew) {
        this.isNew = isNew;
    }

    public YesOrNoEnum getIsTop() {
        return isTop;
    }

    public void setIsTop(YesOrNoEnum isTop) {
        this.isTop = isTop;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }
}
